﻿@model IEnumerable<ClientEsp>
@{
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
}
<div class="d-flex mb-2">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Retirement Plan</h4>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <div id="esp-main-div">
        @foreach (var item1 in Model.OrderBy(m => m.ClientOccupation.EmploymentOf).GroupBy(m => m.ClientOccupation.EmploymentOf))
        {
            <div id="esp-@((int)item1.Key)">
                @foreach (var item in item1)
                {
                    var color = item.ClientOccupation.EmploymentOf == ClientTypeEnum.Client ? "#b00022" : "#008080";
                    <div id="espinfo-@item.Guid">
                        <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid @color">
                            <div class="card-header heir-header" style="background: @color">
                                <span class="card-title font-weight-bold font-size-h4 text-white w-75">
                                    @item.ClientOccupation.EmployerTitle
                                </span>
                                <div class="card-toolbar">
                                    <div class="example-tools">
                                        <button class="btn btn-icon btn-sm btn-esp-edit" data-guid="@item.Guid">
                                            <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="font-size-h6">
                                    @if (item.EmployerOffer?.Length > 0)
                                    {
                                        <h4 class="w-auto font-size-h4 font-weight-bold" style="color:blue">Retirement Plan - @item.EmployerOfferString</h4>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Current Balance:</span>
                                                    <span class="col-md-4 p-0">@string.Format("{0:C0}", item.EspCurrentBalance)</span>
                                                </div>
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Average Rate Of Return:</span>
                                                    <span class="col-md-4 p-0">@(item.EspAvgRateReturn > 0 ? $"{item.EspAvgRateReturn.ToString()}%" : "-")</span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Annual Contribution:</span>
                                                    <span class="col-md-4 p-0">@string.Format("{0:C0}", item.EspContributionCalculated)</span>
                                                </div>
                                                @if (!item.EmployerOffer.Contains(((int)EmployerOfferEnum.SEPIRA).ToString()) && !item.EmployerOffer.Contains(((int)EmployerOfferEnum.Solo401K).ToString()))
                                                {
                                                    <div class="d-flex align-items-center">
                                                        <span class="col-md-8 text-dark font-weight-bold p-0">Annual Employer Match:</span>
                                                        <span class="col-md-4 align-self-end p-0">@string.Format("{0:C0}", item.EspEmployerMatchCalculated)</span>
                                                    </div>
                                                }
                                            </div>
                                        </div>
                                    }
                                    @if (item.HasPensionPlan)
                                    {
                                        <hr class="@(item.EmployerOfferString.Length>0 ?"":"d-none")" />
                                        <h4 class="w-auto font-size-h4 font-weight-bold" style="color:blue">Employer Defined Benefit Pension Plan</h4>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Pension Expected Age:</span>
                                                    <span class="col-md-4 p-0">@item.PensionExpectedAge</span>
                                                </div>
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Expected Monthly Benefit:</span>
                                                    <span class="col-md-4 align-self-end p-0">@string.Format("{0:C0}", item.PensionBenefit)</span>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="d-flex align-items-center">
                                                    <span class="col-md-8 text-dark font-weight-bold p-0">Survivor Benefit:</span>
                                                    <span class="col-md-4 p-0">@(item.PensionSurvivorBenefit > 0 ? $"{item.PensionSurvivorBenefit.ToString()}%" : "-")</span>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
        }
        <hr />
        <div class="d-flex">
            <div>
                <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Previous Employer Retirement Plan</h4>
            </div>
            <div>
                <button class="btn btn-primary font-weight-bold btn-sm btn-pre-esp-add mb-2"><i class="fas fa-plus"></i>Retirement Plan</button>
            </div>
        </div>
        @foreach (var item in EmploymentOf)
        {
            var type = (ClientTypeEnum)Convert.ToInt32(item.Value);
            <div id="prev-esp-@item.Value">
                <partial name="PrevEsp/_PrevEspInfo" model="@type" />
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="EspModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    $("#btn-submit").addClass("btn-next");
    $('body').on('click', '.btn-esp-edit', function (e) {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`income/espinfo?guid=${id}`, "EspModal");
    });
    $('body').on('click', '.btn-pre-esp-add', function (e) {
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`income/prevespinfo`, "EspModal");
    });
    var showHideAnnualIncome = function (hasIncome) {
        if (hasIncome)
            $(".annualIncome-div").removeClass("d-none");
        else
            $(".annualIncome-div").addClass("d-none").find("input").val("");
    }
    var showHideOtherDescription = function (type) {
        if (type != PreviousEmployerRetirementPlanType.OTHER)
            $(".other-description-div").addClass("d-none").find("input").val("");
        else
            $(".other-description-div").removeClass("d-none");
    }
    $(document).on("change", "#HasPreEmpIncome", function () {
        var hasIncome = $(this).is(":checked");
        showHideAnnualIncome(hasIncome);
    });
    $(document).on("change", "#Type", function () {
        var type = $(this).val();
        showHideOtherDescription(type);
    });
</script>